export function whenElse(binding, trueTemplateOrTemplateBinding, falseTemplateOrTemplateBinding) {
    const getTemplate = (template) => typeof template === 'function' ? template : () => template;
    const trueTemplate = getTemplate(trueTemplateOrTemplateBinding);
    const falseTemplate = getTemplate(falseTemplateOrTemplateBinding);
    return (source, context) => binding(source, context) ? trueTemplate(source, context) : falseTemplate(source, context);
}
