export const createObserver = () => {
    let listeners = [];
    return {
        subscribe(listener) {
            listeners.push(listener);
            return () => (listeners = listeners.filter((l) => l !== listener));
        },
        publish(event) {
            listeners.forEach((l) => l(event));
        },
    };
};
export const respondToVisibility = (element, callback) => {
    const options = {
        root: document.documentElement,
    };
    const observer = new IntersectionObserver((entries) => {
        entries.forEach((entry) => {
            callback(entry.intersectionRatio > 0);
        });
    }, options);
    observer.observe(element);
};
